<p><strong>Title</strong>: Evaluating Evolvability Criteria for Deformable Objects Using Free-Form Deformation</p>
<p><strong>Short summary</strong>: This thesis investigates the predictive power of evolvability criteria—variability, regularity, and improvement potential—in optimizing deformable objects using free-form deformation (FFD). We replicate Richter et al.'s study on radial basis functions (RBF) with FFD to understand how well these criteria forecast the optimization quality. Our results indicate that variability and improvement potential are reliable predictors for 3D object fitting, while regularity's correlation is inconsistent across scenarios.</p>
<p><strong>Methodology</strong>: We used evolutionary algorithms to optimize geometric objects represented through FFD grids. The study involved creating various control-grid resolutions and deformations in both one-dimensional (plane approximation) and three-dimensional (mesh fitting) settings. Evolvability criteria were calculated for each grid setup, correlating them with the convergence speed of the evolutionary algorithm and the quality of object fit.</p>
<p><strong>Results</strong>:</p>
<ul>
<li><em>Main takeaway</em>: Variability is a strong predictor of optimization success in both 1D and 3D scenarios; improvement potential also shows significant correlation to fitting error across all grid resolutions.</li>
<li><em>Strengths</em>: The study successfully replicates the findings for variability and improvement potential as robust indicators for deformable object quality, similar to Richter et al.'s results using RBF.</li>
<li><em>Weaknesses</em>: Regularity's effectiveness as a predictor is inconsistent; it correlates well in some scenarios but not in others or shows anti-correlation with convergence speed.</li>
<li><em>Open questions</em>: Further research is needed to refine the regularity criterion and explore direct FFD manipulations like DM-FFD for better optimization quality predictions.</li>
</ul>